import{S as hi,i as ui,s as gi,e as s,k as p,w as x,t as r,M as vi,c as n,d as o,m,a,x as C,h as i,b as d,N as _i,G as e,g as f,y as $,q as T,o as N,B as E,v as yi,L as Ns}from"../../chunks/vendor-hf-doc-builder.js";import{T as Bo}from"../../chunks/Tip-hf-doc-builder.js";import{D as ze}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Es}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as st}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Ts}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";import{P as wi}from"../../chunks/PipelineTag-hf-doc-builder.js";function bi(j){let c,w,v,g,y;return g=new Es({props:{code:`from transformers import ConvNextConfig, ConvNextModel

# Initializing a ConvNext convnext-tiny-224 style configuration
configuration = ConvNextConfig()

# Initializing a model (with random weights) from the convnext-tiny-224 style configuration
model = ConvNextModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> ConvNextConfig, ConvNextModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a ConvNext convnext-tiny-224 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = ConvNextConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the convnext-tiny-224 style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ConvNextModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=s("p"),w=r("Example:"),v=p(),x(g.$$.fragment)},l(l){c=n(l,"P",{});var h=a(c);w=i(h,"Example:"),h.forEach(o),v=m(l),C(g.$$.fragment,l)},m(l,h){f(l,c,h),e(c,w),f(l,v,h),$(g,l,h),y=!0},p:Ns,i(l){y||(T(g.$$.fragment,l),y=!0)},o(l){N(g.$$.fragment,l),y=!1},d(l){l&&o(c),l&&o(v),E(g,l)}}}function xi(j){let c,w,v,g,y;return{c(){c=s("p"),w=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),v=s("code"),g=r("Module"),y=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=n(l,"P",{});var h=a(c);w=i(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),v=n(h,"CODE",{});var P=a(v);g=i(P,"Module"),P.forEach(o),y=i(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(o)},m(l,h){f(l,c,h),e(c,w),e(c,v),e(v,g),e(c,y)},d(l){l&&o(c)}}}function Ci(j){let c,w,v,g,y;return g=new Es({props:{code:`from transformers import AutoImageProcessor, ConvNextModel
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/convnext-tiny-224")
model = ConvNextModel.from_pretrained("facebook/convnext-tiny-224")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state
list(last_hidden_states.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, ConvNextModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ConvNextModel.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_states.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">768</span>, <span class="hljs-number">7</span>, <span class="hljs-number">7</span>]`}}),{c(){c=s("p"),w=r("Example:"),v=p(),x(g.$$.fragment)},l(l){c=n(l,"P",{});var h=a(c);w=i(h,"Example:"),h.forEach(o),v=m(l),C(g.$$.fragment,l)},m(l,h){f(l,c,h),e(c,w),f(l,v,h),$(g,l,h),y=!0},p:Ns,i(l){y||(T(g.$$.fragment,l),y=!0)},o(l){N(g.$$.fragment,l),y=!1},d(l){l&&o(c),l&&o(v),E(g,l)}}}function $i(j){let c,w,v,g,y;return{c(){c=s("p"),w=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),v=s("code"),g=r("Module"),y=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=n(l,"P",{});var h=a(c);w=i(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),v=n(h,"CODE",{});var P=a(v);g=i(P,"Module"),P.forEach(o),y=i(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(o)},m(l,h){f(l,c,h),e(c,w),e(c,v),e(v,g),e(c,y)},d(l){l&&o(c)}}}function Ti(j){let c,w,v,g,y;return g=new Es({props:{code:`from transformers import AutoImageProcessor, ConvNextForImageClassification
import torch
from datasets import load_dataset

dataset = load_dataset("huggingface/cats-image")
image = dataset["test"]["image"][0]

image_processor = AutoImageProcessor.from_pretrained("facebook/convnext-tiny-224")
model = ConvNextForImageClassification.from_pretrained("facebook/convnext-tiny-224")

inputs = image_processor(image, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# model predicts one of the 1000 ImageNet classes
predicted_label = logits.argmax(-1).item()
print(model.config.id2label[predicted_label])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, ConvNextForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;huggingface/cats-image&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>image = dataset[<span class="hljs-string">&quot;test&quot;</span>][<span class="hljs-string">&quot;image&quot;</span>][<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ConvNextForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = logits.argmax(-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(model.config.id2label[predicted_label])
tabby, tabby cat`}}),{c(){c=s("p"),w=r("Example:"),v=p(),x(g.$$.fragment)},l(l){c=n(l,"P",{});var h=a(c);w=i(h,"Example:"),h.forEach(o),v=m(l),C(g.$$.fragment,l)},m(l,h){f(l,c,h),e(c,w),f(l,v,h),$(g,l,h),y=!0},p:Ns,i(l){y||(T(g.$$.fragment,l),y=!0)},o(l){N(g.$$.fragment,l),y=!1},d(l){l&&o(c),l&&o(v),E(g,l)}}}function Ni(j){let c,w,v,g,y,l,h,P,De,we,z,Y,ee,b,Oe,X,Le,be,L,Se,te,oe,Re,xe,W,We,Ce,U,he,Ue,pe,F,D,$e,H,ue,He,J,Z,Qe,q,Q,se,me,Xe,ne,Te,A,K,ae,re,Ke,V,O,Ve,M,Be,Ge;return{c(){c=s("p"),w=r("TensorFlow models and layers in "),v=s("code"),g=r("transformers"),y=r(" accept two formats as input:"),l=p(),h=s("ul"),P=s("li"),De=r("having all inputs as keyword arguments (like PyTorch models), or"),we=p(),z=s("li"),Y=r("having all inputs as a list, tuple or dict in the first positional argument."),ee=p(),b=s("p"),Oe=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),X=s("code"),Le=r("model.fit()"),be=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),L=s("code"),Se=r("model.fit()"),te=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),oe=s("code"),Re=r("fit()"),xe=r(" and "),W=s("code"),We=r("predict()"),Ce=r(`, such as when creating your own layers or models with
the Keras `),U=s("code"),he=r("Functional"),Ue=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),pe=p(),F=s("ul"),D=s("li"),$e=r("a single Tensor with "),H=s("code"),ue=r("pixel_values"),He=r(" only and nothing else: "),J=s("code"),Z=r("model(pixel_values)"),Qe=p(),q=s("li"),Q=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),se=s("code"),me=r("model([pixel_values, attention_mask])"),Xe=r(" or "),ne=s("code"),Te=r("model([pixel_values, attention_mask, token_type_ids])"),A=p(),K=s("li"),ae=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),re=s("code"),Ke=r('model({"pixel_values": pixel_values, "token_type_ids": token_type_ids})'),V=p(),O=s("p"),Ve=r(`Note that when creating models and layers with
`),M=s("a"),Be=r("subclassing"),Ge=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(_){c=n(_,"P",{});var I=a(c);w=i(I,"TensorFlow models and layers in "),v=n(I,"CODE",{});var nt=a(v);g=i(nt,"transformers"),nt.forEach(o),y=i(I," accept two formats as input:"),I.forEach(o),l=m(_),h=n(_,"UL",{});var B=a(h);P=n(B,"LI",{});var at=a(P);De=i(at,"having all inputs as keyword arguments (like PyTorch models), or"),at.forEach(o),we=m(B),z=n(B,"LI",{});var rt=a(z);Y=i(rt,"having all inputs as a list, tuple or dict in the first positional argument."),rt.forEach(o),B.forEach(o),ee=m(_),b=n(_,"P",{});var k=a(b);Oe=i(k,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),X=n(k,"CODE",{});var ie=a(X);Le=i(ie,"model.fit()"),ie.forEach(o),be=i(k,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),L=n(k,"CODE",{});var fe=a(L);Se=i(fe,"model.fit()"),fe.forEach(o),te=i(k,` supports! If, however, you want to use the second
format outside of Keras methods like `),oe=n(k,"CODE",{});var Ye=a(oe);Re=i(Ye,"fit()"),Ye.forEach(o),xe=i(k," and "),W=n(k,"CODE",{});var ge=a(W);We=i(ge,"predict()"),ge.forEach(o),Ce=i(k,`, such as when creating your own layers or models with
the Keras `),U=n(k,"CODE",{});var it=a(U);he=i(it,"Functional"),it.forEach(o),Ue=i(k,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),k.forEach(o),pe=m(_),F=n(_,"UL",{});var R=a(F);D=n(R,"LI",{});var le=a(D);$e=i(le,"a single Tensor with "),H=n(le,"CODE",{});var et=a(H);ue=i(et,"pixel_values"),et.forEach(o),He=i(le," only and nothing else: "),J=n(le,"CODE",{});var Ne=a(J);Z=i(Ne,"model(pixel_values)"),Ne.forEach(o),le.forEach(o),Qe=m(R),q=n(R,"LI",{});var ce=a(q);Q=i(ce,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),se=n(ce,"CODE",{});var tt=a(se);me=i(tt,"model([pixel_values, attention_mask])"),tt.forEach(o),Xe=i(ce," or "),ne=n(ce,"CODE",{});var ve=a(ne);Te=i(ve,"model([pixel_values, attention_mask, token_type_ids])"),ve.forEach(o),ce.forEach(o),A=m(R),K=n(R,"LI",{});var Ee=a(K);ae=i(Ee,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),re=n(Ee,"CODE",{});var Ie=a(re);Ke=i(Ie,'model({"pixel_values": pixel_values, "token_type_ids": token_type_ids})'),Ie.forEach(o),Ee.forEach(o),R.forEach(o),V=m(_),O=n(_,"P",{});var S=a(O);Ve=i(S,`Note that when creating models and layers with
`),M=n(S,"A",{href:!0,rel:!0});var ke=a(M);Be=i(ke,"subclassing"),ke.forEach(o),Ge=i(S,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),S.forEach(o),this.h()},h(){d(M,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),d(M,"rel","nofollow")},m(_,I){f(_,c,I),e(c,w),e(c,v),e(v,g),e(c,y),f(_,l,I),f(_,h,I),e(h,P),e(P,De),e(h,we),e(h,z),e(z,Y),f(_,ee,I),f(_,b,I),e(b,Oe),e(b,X),e(X,Le),e(b,be),e(b,L),e(L,Se),e(b,te),e(b,oe),e(oe,Re),e(b,xe),e(b,W),e(W,We),e(b,Ce),e(b,U),e(U,he),e(b,Ue),f(_,pe,I),f(_,F,I),e(F,D),e(D,$e),e(D,H),e(H,ue),e(D,He),e(D,J),e(J,Z),e(F,Qe),e(F,q),e(q,Q),e(q,se),e(se,me),e(q,Xe),e(q,ne),e(ne,Te),e(F,A),e(F,K),e(K,ae),e(K,re),e(re,Ke),f(_,V,I),f(_,O,I),e(O,Ve),e(O,M),e(M,Be),e(O,Ge)},d(_){_&&o(c),_&&o(l),_&&o(h),_&&o(ee),_&&o(b),_&&o(pe),_&&o(F),_&&o(V),_&&o(O)}}}function Ei(j){let c,w,v,g,y;return{c(){c=s("p"),w=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),v=s("code"),g=r("Module"),y=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=n(l,"P",{});var h=a(c);w=i(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),v=n(h,"CODE",{});var P=a(v);g=i(P,"Module"),P.forEach(o),y=i(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(o)},m(l,h){f(l,c,h),e(c,w),e(c,v),e(v,g),e(c,y)},d(l){l&&o(c)}}}function Ii(j){let c,w,v,g,y;return g=new Es({props:{code:`from transformers import AutoImageProcessor, TFConvNextModel
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("facebook/convnext-tiny-224")
model = TFConvNextModel.from_pretrained("facebook/convnext-tiny-224")

inputs = image_processor(images=image, return_tensors="tf")
outputs = model(**inputs)
last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFConvNextModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFConvNextModel.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){c=s("p"),w=r("Examples:"),v=p(),x(g.$$.fragment)},l(l){c=n(l,"P",{});var h=a(c);w=i(h,"Examples:"),h.forEach(o),v=m(l),C(g.$$.fragment,l)},m(l,h){f(l,c,h),e(c,w),f(l,v,h),$(g,l,h),y=!0},p:Ns,i(l){y||(T(g.$$.fragment,l),y=!0)},o(l){N(g.$$.fragment,l),y=!1},d(l){l&&o(c),l&&o(v),E(g,l)}}}function ki(j){let c,w,v,g,y,l,h,P,De,we,z,Y,ee,b,Oe,X,Le,be,L,Se,te,oe,Re,xe,W,We,Ce,U,he,Ue,pe,F,D,$e,H,ue,He,J,Z,Qe,q,Q,se,me,Xe,ne,Te,A,K,ae,re,Ke,V,O,Ve,M,Be,Ge;return{c(){c=s("p"),w=r("TensorFlow models and layers in "),v=s("code"),g=r("transformers"),y=r(" accept two formats as input:"),l=p(),h=s("ul"),P=s("li"),De=r("having all inputs as keyword arguments (like PyTorch models), or"),we=p(),z=s("li"),Y=r("having all inputs as a list, tuple or dict in the first positional argument."),ee=p(),b=s("p"),Oe=r(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),X=s("code"),Le=r("model.fit()"),be=r(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),L=s("code"),Se=r("model.fit()"),te=r(` supports! If, however, you want to use the second
format outside of Keras methods like `),oe=s("code"),Re=r("fit()"),xe=r(" and "),W=s("code"),We=r("predict()"),Ce=r(`, such as when creating your own layers or models with
the Keras `),U=s("code"),he=r("Functional"),Ue=r(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),pe=p(),F=s("ul"),D=s("li"),$e=r("a single Tensor with "),H=s("code"),ue=r("pixel_values"),He=r(" only and nothing else: "),J=s("code"),Z=r("model(pixel_values)"),Qe=p(),q=s("li"),Q=r(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),se=s("code"),me=r("model([pixel_values, attention_mask])"),Xe=r(" or "),ne=s("code"),Te=r("model([pixel_values, attention_mask, token_type_ids])"),A=p(),K=s("li"),ae=r(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),re=s("code"),Ke=r('model({"pixel_values": pixel_values, "token_type_ids": token_type_ids})'),V=p(),O=s("p"),Ve=r(`Note that when creating models and layers with
`),M=s("a"),Be=r("subclassing"),Ge=r(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(_){c=n(_,"P",{});var I=a(c);w=i(I,"TensorFlow models and layers in "),v=n(I,"CODE",{});var nt=a(v);g=i(nt,"transformers"),nt.forEach(o),y=i(I," accept two formats as input:"),I.forEach(o),l=m(_),h=n(_,"UL",{});var B=a(h);P=n(B,"LI",{});var at=a(P);De=i(at,"having all inputs as keyword arguments (like PyTorch models), or"),at.forEach(o),we=m(B),z=n(B,"LI",{});var rt=a(z);Y=i(rt,"having all inputs as a list, tuple or dict in the first positional argument."),rt.forEach(o),B.forEach(o),ee=m(_),b=n(_,"P",{});var k=a(b);Oe=i(k,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),X=n(k,"CODE",{});var ie=a(X);Le=i(ie,"model.fit()"),ie.forEach(o),be=i(k,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),L=n(k,"CODE",{});var fe=a(L);Se=i(fe,"model.fit()"),fe.forEach(o),te=i(k,` supports! If, however, you want to use the second
format outside of Keras methods like `),oe=n(k,"CODE",{});var Ye=a(oe);Re=i(Ye,"fit()"),Ye.forEach(o),xe=i(k," and "),W=n(k,"CODE",{});var ge=a(W);We=i(ge,"predict()"),ge.forEach(o),Ce=i(k,`, such as when creating your own layers or models with
the Keras `),U=n(k,"CODE",{});var it=a(U);he=i(it,"Functional"),it.forEach(o),Ue=i(k,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),k.forEach(o),pe=m(_),F=n(_,"UL",{});var R=a(F);D=n(R,"LI",{});var le=a(D);$e=i(le,"a single Tensor with "),H=n(le,"CODE",{});var et=a(H);ue=i(et,"pixel_values"),et.forEach(o),He=i(le," only and nothing else: "),J=n(le,"CODE",{});var Ne=a(J);Z=i(Ne,"model(pixel_values)"),Ne.forEach(o),le.forEach(o),Qe=m(R),q=n(R,"LI",{});var ce=a(q);Q=i(ce,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),se=n(ce,"CODE",{});var tt=a(se);me=i(tt,"model([pixel_values, attention_mask])"),tt.forEach(o),Xe=i(ce," or "),ne=n(ce,"CODE",{});var ve=a(ne);Te=i(ve,"model([pixel_values, attention_mask, token_type_ids])"),ve.forEach(o),ce.forEach(o),A=m(R),K=n(R,"LI",{});var Ee=a(K);ae=i(Ee,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),re=n(Ee,"CODE",{});var Ie=a(re);Ke=i(Ie,'model({"pixel_values": pixel_values, "token_type_ids": token_type_ids})'),Ie.forEach(o),Ee.forEach(o),R.forEach(o),V=m(_),O=n(_,"P",{});var S=a(O);Ve=i(S,`Note that when creating models and layers with
`),M=n(S,"A",{href:!0,rel:!0});var ke=a(M);Be=i(ke,"subclassing"),ke.forEach(o),Ge=i(S,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),S.forEach(o),this.h()},h(){d(M,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),d(M,"rel","nofollow")},m(_,I){f(_,c,I),e(c,w),e(c,v),e(v,g),e(c,y),f(_,l,I),f(_,h,I),e(h,P),e(P,De),e(h,we),e(h,z),e(z,Y),f(_,ee,I),f(_,b,I),e(b,Oe),e(b,X),e(X,Le),e(b,be),e(b,L),e(L,Se),e(b,te),e(b,oe),e(oe,Re),e(b,xe),e(b,W),e(W,We),e(b,Ce),e(b,U),e(U,he),e(b,Ue),f(_,pe,I),f(_,F,I),e(F,D),e(D,$e),e(D,H),e(H,ue),e(D,He),e(D,J),e(J,Z),e(F,Qe),e(F,q),e(q,Q),e(q,se),e(se,me),e(q,Xe),e(q,ne),e(ne,Te),e(F,A),e(F,K),e(K,ae),e(K,re),e(re,Ke),f(_,V,I),f(_,O,I),e(O,Ve),e(O,M),e(M,Be),e(O,Ge)},d(_){_&&o(c),_&&o(l),_&&o(h),_&&o(ee),_&&o(b),_&&o(pe),_&&o(F),_&&o(V),_&&o(O)}}}function Pi(j){let c,w,v,g,y;return{c(){c=s("p"),w=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),v=s("code"),g=r("Module"),y=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=n(l,"P",{});var h=a(c);w=i(h,"Although the recipe for forward pass needs to be defined within this function, one should call the "),v=n(h,"CODE",{});var P=a(v);g=i(P,"Module"),P.forEach(o),y=i(h,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),h.forEach(o)},m(l,h){f(l,c,h),e(c,w),e(c,v),e(v,g),e(c,y)},d(l){l&&o(c)}}}function Fi(j){let c,w,v,g,y;return g=new Es({props:{code:`from transformers import AutoImageProcessor, TFConvNextForImageClassification
import tensorflow as tf
from PIL import Image
import requests

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_processor = AutoImageProcessor.from_pretrained("facebook/convnext-tiny-224")
model = TFConvNextForImageClassification.from_pretrained("facebook/convnext-tiny-224")

inputs = image_processor(images=image, return_tensors="tf")
outputs = model(**inputs)
logits = outputs.logits
# model predicts one of the 1000 ImageNet classes
predicted_class_idx = tf.math.argmax(logits, axis=-1)[0]
print("Predicted class:", model.config.id2label[int(predicted_class_idx)])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, TFConvNextForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFConvNextForImageClassification.from_pretrained(<span class="hljs-string">&quot;facebook/convnext-tiny-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = image_processor(images=image, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># model predicts one of the 1000 ImageNet classes</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_idx = tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;Predicted class:&quot;</span>, model.config.id2label[<span class="hljs-built_in">int</span>(predicted_class_idx)])`}}),{c(){c=s("p"),w=r("Examples:"),v=p(),x(g.$$.fragment)},l(l){c=n(l,"P",{});var h=a(c);w=i(h,"Examples:"),h.forEach(o),v=m(l),C(g.$$.fragment,l)},m(l,h){f(l,c,h),e(c,w),f(l,v,h),$(g,l,h),y=!0},p:Ns,i(l){y||(T(g.$$.fragment,l),y=!0)},o(l){N(g.$$.fragment,l),y=!1},d(l){l&&o(c),l&&o(v),E(g,l)}}}function ji(j){let c,w,v,g,y,l,h,P,De,we,z,Y,ee,b,Oe,X,Le,be,L,Se,te,oe,Re,xe,W,We,Ce,U,he,Ue,pe,F,D,$e,H,ue,He,J,Z,Qe,q,Q,se,me,Xe,ne,Te,A,K,ae,re,Ke,V,O,Ve,M,Be,Ge,_,I,nt,B,at,rt,k,ie,fe,Ye,ge,it,R,le,et,Ne,ce,tt,ve,Ee,Ie,S,ke,rn,ln,Kt,cn,dn,Vt,pn,mn,Is,Po,fn,ks,lt,bt,Go,Bt,hn,Yo,un,Ps,_e,Gt,gn,ct,vn,Fo,_n,yn,Yt,wn,bn,xn,dt,Cn,jo,$n,Tn,Ao,Nn,En,In,xt,Fs,pt,Ct,Jo,Jt,kn,Zo,Pn,js,Zt,Qt,As,mt,$t,Qo,eo,Fn,es,jn,Ms,Je,to,An,ts,Mn,qn,Tt,oo,zn,os,Dn,qs,ft,Nt,ss,so,On,ns,Ln,zs,Ze,no,Sn,ao,Rn,ro,Wn,Un,Hn,Pe,io,Xn,ht,Kn,Mo,Vn,Bn,as,Gn,Yn,Jn,Et,Zn,It,Ds,ut,kt,rs,lo,Qn,is,ea,Os,ye,co,ta,ls,oa,sa,po,na,mo,aa,ra,ia,Fe,fo,la,gt,ca,qo,da,pa,cs,ma,fa,ha,Pt,ua,Ft,Ls,vt,jt,ds,ho,ga,ps,va,Ss,de,uo,_a,go,ya,zo,wa,ba,xa,vo,Ca,_o,$a,Ta,Na,At,Ea,je,yo,Ia,_t,ka,Do,Pa,Fa,ms,ja,Aa,Ma,Mt,qa,qt,Rs,yt,zt,fs,wo,za,hs,Da,Ws,G,bo,Oa,us,La,Sa,xo,Ra,Oo,Wa,Ua,Ha,Co,Xa,$o,Ka,Va,Ba,Dt,Ga,Ae,To,Ya,wt,Ja,Lo,Za,Qa,gs,er,tr,or,Ot,sr,Lt,Us;return l=new st({}),b=new st({}),ge=new st({}),ve=new wi({props:{pipeline:"image-classification"}}),Bt=new st({}),Gt=new ze({props:{name:"class transformers.ConvNextConfig",anchor:"transformers.ConvNextConfig",parameters:[{name:"num_channels",val:" = 3"},{name:"patch_size",val:" = 4"},{name:"num_stages",val:" = 4"},{name:"hidden_sizes",val:" = None"},{name:"depths",val:" = None"},{name:"hidden_act",val:" = 'gelu'"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"layer_scale_init_value",val:" = 1e-06"},{name:"drop_path_rate",val:" = 0.0"},{name:"image_size",val:" = 224"},{name:"out_features",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConvNextConfig.num_channels",description:`<strong>num_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
The number of input channels.`,name:"num_channels"},{anchor:"transformers.ConvNextConfig.patch_size",description:`<strong>patch_size</strong> (<code>int</code>, optional, defaults to 4) &#x2014;
Patch size to use in the patch embedding layer.`,name:"patch_size"},{anchor:"transformers.ConvNextConfig.num_stages",description:`<strong>num_stages</strong> (<code>int</code>, optional, defaults to 4) &#x2014;
The number of stages in the model.`,name:"num_stages"},{anchor:"transformers.ConvNextConfig.hidden_sizes",description:`<strong>hidden_sizes</strong> (<code>List[int]</code>, <em>optional</em>, defaults to [96, 192, 384, 768]) &#x2014;
Dimensionality (hidden size) at each stage.`,name:"hidden_sizes"},{anchor:"transformers.ConvNextConfig.depths",description:`<strong>depths</strong> (<code>List[int]</code>, <em>optional</em>, defaults to [3, 3, 9, 3]) &#x2014;
Depth (number of blocks) for each stage.`,name:"depths"},{anchor:"transformers.ConvNextConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in each block. If string, <code>&quot;gelu&quot;</code>, <code>&quot;relu&quot;</code>,
<code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.ConvNextConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.ConvNextConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.ConvNextConfig.layer_scale_init_value",description:`<strong>layer_scale_init_value</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-6) &#x2014;
The initial value for the layer scale.`,name:"layer_scale_init_value"},{anchor:"transformers.ConvNextConfig.drop_path_rate",description:`<strong>drop_path_rate</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The drop rate for stochastic depth.`,name:"drop_path_rate"},{anchor:"transformers.ConvNextConfig.out_features",description:`<strong>out_features</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014;
If used as backbone, list of features to output. Can be any of <code>&quot;stem&quot;</code>, <code>&quot;stage1&quot;</code>, <code>&quot;stage2&quot;</code>, etc.
(depending on how many stages the model has). Will default to the last stage if unset.`,name:"out_features"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/convnext/configuration_convnext.py#L35"}}),xt=new Ts({props:{anchor:"transformers.ConvNextConfig.example",$$slots:{default:[bi]},$$scope:{ctx:j}}}),Jt=new st({}),Qt=new ze({props:{name:"class transformers.ConvNextFeatureExtractor",anchor:"transformers.ConvNextFeatureExtractor",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/convnext/feature_extraction_convnext.py#L26"}}),eo=new st({}),to=new ze({props:{name:"class transformers.ConvNextImageProcessor",anchor:"transformers.ConvNextImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"crop_pct",val:": float = None"},{name:"resample",val:": Resampling = <Resampling.BILINEAR: 2>"},{name:"do_rescale",val:": bool = True"},{name:"rescale_factor",val:": typing.Union[int, float] = 0.00392156862745098"},{name:"do_normalize",val:": bool = True"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConvNextImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Controls whether to resize the image&#x2019;s (height, width) dimensions to the specified <code>size</code>. Can be overriden
by <code>do_resize</code> in the <code>preprocess</code> method.`,name:"do_resize"},{anchor:"transformers.ConvNextImageProcessor.size",description:`<strong>size</strong> (<code>Dict[str, int]</code> <em>optional</em>, defaults to <code>{&quot;shortest_edge&quot; -- 384}</code>):
Resolution of the output image after <code>resize</code> is applied. If <code>size[&quot;shortest_edge&quot;]</code> &gt;= 384, the image is
resized to <code>(size[&quot;shortest_edge&quot;], size[&quot;shortest_edge&quot;])</code>. Otherwise, the smaller edge of the image will
be matched to <code>int(size[&quot;shortest_edge&quot;]/crop_pct)</code>, after which the image is cropped to
<code>(size[&quot;shortest_edge&quot;], size[&quot;shortest_edge&quot;])</code>. Only has an effect if <code>do_resize</code> is set to <code>True</code>. Can
be overriden by <code>size</code> in the <code>preprocess</code> method.`,name:"size"},{anchor:"transformers.ConvNextImageProcessor.crop_pct",description:`<strong>crop_pct</strong> (<code>float</code> <em>optional</em>, defaults to 244 / 256) &#x2014;
Percentage of the image to crop. Only has an effect if <code>do_resize</code> is <code>True</code> and size &lt; 384. Can be
overriden by <code>crop_pct</code> in the <code>preprocess</code> method.`,name:"crop_pct"},{anchor:"transformers.ConvNextImageProcessor.resample",description:`<strong>resample</strong> (<code>PILImageResampling</code>, <em>optional</em>, defaults to <code>PILImageResampling.BILINEAR</code>) &#x2014;
Resampling filter to use if resizing the image. Can be overriden by <code>resample</code> in the <code>preprocess</code> method.`,name:"resample"},{anchor:"transformers.ConvNextImageProcessor.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to rescale the image by the specified scale <code>rescale_factor</code>. Can be overriden by <code>do_rescale</code> in
the <code>preprocess</code> method.`,name:"do_rescale"},{anchor:"transformers.ConvNextImageProcessor.rescale_factor",description:`<strong>rescale_factor</strong> (<code>int</code> or <code>float</code>, <em>optional</em>, defaults to <code>1/255</code>) &#x2014;
Scale factor to use if rescaling the image. Can be overriden by <code>rescale_factor</code> in the <code>preprocess</code>
method.`,name:"rescale_factor"},{anchor:"transformers.ConvNextImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image. Can be overridden by the <code>do_normalize</code> parameter in the <code>preprocess</code>
method.`,name:"do_normalize"},{anchor:"transformers.ConvNextImageProcessor.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_MEAN</code>) &#x2014;
Mean to use if normalizing the image. This is a float or list of floats the length of the number of
channels in the image. Can be overridden by the <code>image_mean</code> parameter in the <code>preprocess</code> method.`,name:"image_mean"},{anchor:"transformers.ConvNextImageProcessor.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>IMAGENET_STANDARD_STD</code>) &#x2014;
Standard deviation to use if normalizing the image. This is a float or list of floats the length of the
number of channels in the image. Can be overridden by the <code>image_std</code> parameter in the <code>preprocess</code> method.`,name:"image_std"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/convnext/image_processing_convnext.py#L53"}}),oo=new ze({props:{name:"preprocess",anchor:"transformers.ConvNextImageProcessor.preprocess",parameters:[{name:"images",val:": typing.Union[ForwardRef('PIL.Image.Image'), numpy.ndarray, ForwardRef('torch.Tensor'), typing.List[ForwardRef('PIL.Image.Image')], typing.List[numpy.ndarray], typing.List[ForwardRef('torch.Tensor')]]"},{name:"do_resize",val:": bool = None"},{name:"size",val:": typing.Dict[str, int] = None"},{name:"crop_pct",val:": float = None"},{name:"resample",val:": Resampling = None"},{name:"do_rescale",val:": bool = None"},{name:"rescale_factor",val:": float = None"},{name:"do_normalize",val:": bool = None"},{name:"image_mean",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"image_std",val:": typing.Union[float, typing.List[float], NoneType] = None"},{name:"return_tensors",val:": typing.Union[transformers.utils.generic.TensorType, str, NoneType] = None"},{name:"data_format",val:": ChannelDimension = <ChannelDimension.FIRST: 'channels_first'>"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.ConvNextImageProcessor.preprocess.images",description:`<strong>images</strong> (<code>ImageInput</code>) &#x2014;
Image to preprocess.`,name:"images"},{anchor:"transformers.ConvNextImageProcessor.preprocess.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_resize</code>) &#x2014;
Whether to resize the image.`,name:"do_resize"},{anchor:"transformers.ConvNextImageProcessor.preprocess.size",description:`<strong>size</strong> (<code>Dict[str, int]</code>, <em>optional</em>, defaults to <code>self.size</code>) &#x2014;
Size of the output image after <code>resize</code> has been applied. If <code>size[&quot;shortest_edge&quot;]</code> &gt;= 384, the image
is resized to <code>(size[&quot;shortest_edge&quot;], size[&quot;shortest_edge&quot;])</code>. Otherwise, the smaller edge of the
image will be matched to <code>int(size[&quot;shortest_edge&quot;]/ crop_pct)</code>, after which the image is cropped to
<code>(size[&quot;shortest_edge&quot;], size[&quot;shortest_edge&quot;])</code>. Only has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"size"},{anchor:"transformers.ConvNextImageProcessor.preprocess.crop_pct",description:`<strong>crop_pct</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.crop_pct</code>) &#x2014;
Percentage of the image to crop if size &lt; 384.`,name:"crop_pct"},{anchor:"transformers.ConvNextImageProcessor.preprocess.resample",description:`<strong>resample</strong> (<code>int</code>, <em>optional</em>, defaults to <code>self.resample</code>) &#x2014;
Resampling filter to use if resizing the image. This can be one of <code>PILImageResampling</code>, filters. Only
has an effect if <code>do_resize</code> is set to <code>True</code>.`,name:"resample"},{anchor:"transformers.ConvNextImageProcessor.preprocess.do_rescale",description:`<strong>do_rescale</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_rescale</code>) &#x2014;
Whether to rescale the image values between [0 - 1].`,name:"do_rescale"},{anchor:"transformers.ConvNextImageProcessor.preprocess.rescale_factor",description:`<strong>rescale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>self.rescale_factor</code>) &#x2014;
Rescale factor to rescale the image by if <code>do_rescale</code> is set to <code>True</code>.`,name:"rescale_factor"},{anchor:"transformers.ConvNextImageProcessor.preprocess.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>self.do_normalize</code>) &#x2014;
Whether to normalize the image.`,name:"do_normalize"},{anchor:"transformers.ConvNextImageProcessor.preprocess.image_mean",description:`<strong>image_mean</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_mean</code>) &#x2014;
Image mean.`,name:"image_mean"},{anchor:"transformers.ConvNextImageProcessor.preprocess.image_std",description:`<strong>image_std</strong> (<code>float</code> or <code>List[float]</code>, <em>optional</em>, defaults to <code>self.image_std</code>) &#x2014;
Image standard deviation.`,name:"image_std"},{anchor:"transformers.ConvNextImageProcessor.preprocess.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <code>TensorType</code>, <em>optional</em>) &#x2014;
The type of tensors to return. Can be one of:<ul>
<li>Unset: Return a list of <code>np.ndarray</code>.</li>
<li><code>TensorType.TENSORFLOW</code> or <code>&apos;tf&apos;</code>: Return a batch of type <code>tf.Tensor</code>.</li>
<li><code>TensorType.PYTORCH</code> or <code>&apos;pt&apos;</code>: Return a batch of type <code>torch.Tensor</code>.</li>
<li><code>TensorType.NUMPY</code> or <code>&apos;np&apos;</code>: Return a batch of type <code>np.ndarray</code>.</li>
<li><code>TensorType.JAX</code> or <code>&apos;jax&apos;</code>: Return a batch of type <code>jax.numpy.ndarray</code>.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.ConvNextImageProcessor.preprocess.data_format",description:`<strong>data_format</strong> (<code>ChannelDimension</code> or <code>str</code>, <em>optional</em>, defaults to <code>ChannelDimension.FIRST</code>) &#x2014;
The channel dimension format for the output image. Can be one of:<ul>
<li><code>ChannelDimension.FIRST</code>: image in (num_channels, height, width) format.</li>
<li><code>ChannelDimension.LAST</code>: image in (height, width, num_channels) format.</li>
</ul>`,name:"data_format"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/convnext/image_processing_convnext.py#L207"}}),so=new st({}),no=new ze({props:{name:"class transformers.ConvNextModel",anchor:"transformers.ConvNextModel",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ConvNextModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/convnext#transformers.ConvNextConfig">ConvNextConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/convnext/modeling_convnext.py#L332"}}),io=new ze({props:{name:"forward",anchor:"transformers.ConvNextModel.forward",parameters:[{name:"pixel_values",val:": FloatTensor = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ConvNextModel.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.0/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.ConvNextModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ConvNextModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/convnext/modeling_convnext.py#L346",returnDescription:`
<p>A <code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/convnext#transformers.ConvNextConfig"
>ConvNextConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state after a pooling operation on the spatial dimensions.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, num_channels, height, width)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.modeling_outputs.BaseModelOutputWithPoolingAndNoAttention</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Et=new Bo({props:{$$slots:{default:[xi]},$$scope:{ctx:j}}}),It=new Ts({props:{anchor:"transformers.ConvNextModel.forward.example",$$slots:{default:[Ci]},$$scope:{ctx:j}}}),lo=new st({}),co=new ze({props:{name:"class transformers.ConvNextForImageClassification",anchor:"transformers.ConvNextForImageClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.ConvNextForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/convnext#transformers.ConvNextConfig">ConvNextConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/convnext/modeling_convnext.py#L398"}}),fo=new ze({props:{name:"forward",anchor:"transformers.ConvNextForImageClassification.forward",parameters:[{name:"pixel_values",val:": FloatTensor = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.ConvNextForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.0/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.ConvNextForImageClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.ConvNextForImageClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.ConvNextForImageClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/convnext/modeling_convnext.py#L413",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/convnext#transformers.ConvNextConfig"
>ConvNextConfig</a>) and inputs.</p>
<ul>
<li><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</li>
<li><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</li>
<li><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each stage) of shape <code>(batch_size, num_channels, height, width)</code>. Hidden-states (also
called feature maps) of the model at the output of each stage.</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.ImageClassifierOutputWithNoAttention"
>transformers.modeling_outputs.ImageClassifierOutputWithNoAttention</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Pt=new Bo({props:{$$slots:{default:[$i]},$$scope:{ctx:j}}}),Ft=new Ts({props:{anchor:"transformers.ConvNextForImageClassification.forward.example",$$slots:{default:[Ti]},$$scope:{ctx:j}}}),ho=new st({}),uo=new ze({props:{name:"class transformers.TFConvNextModel",anchor:"transformers.TFConvNextModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFConvNextModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/convnext#transformers.ConvNextConfig">ConvNextConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/convnext/modeling_tf_convnext.py#L452"}}),At=new Bo({props:{$$slots:{default:[Ni]},$$scope:{ctx:j}}}),yo=new ze({props:{name:"call",anchor:"transformers.TFConvNextModel.call",parameters:[{name:"pixel_values",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": bool = False"}],parametersDescription:[{anchor:"transformers.TFConvNextModel.call.pixel_values",description:`<strong>pixel_values</strong> (<code>np.ndarray</code>, <code>tf.Tensor</code>, <code>List[tf.Tensor]</code> \`<code>Dict[str, tf.Tensor]</code> or <code>Dict[str, np.ndarray]</code> and each example must have the shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.0/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.TFConvNextModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFConvNextModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/convnext/modeling_tf_convnext.py#L457",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/convnext#transformers.ConvNextConfig"
>ConvNextConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
<p>This output is usually <em>not</em> a good summary of the semantic content of the input, you\u2019re often better with
averaging or pooling the sequence of hidden-states for the whole input sequence.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Mt=new Bo({props:{$$slots:{default:[Ei]},$$scope:{ctx:j}}}),qt=new Ts({props:{anchor:"transformers.TFConvNextModel.call.example",$$slots:{default:[Ii]},$$scope:{ctx:j}}}),wo=new st({}),bo=new ze({props:{name:"class transformers.TFConvNextForImageClassification",anchor:"transformers.TFConvNextForImageClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFConvNextForImageClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/convnext#transformers.ConvNextConfig">ConvNextConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/convnext/modeling_tf_convnext.py#L527"}}),Dt=new Bo({props:{$$slots:{default:[ki]},$$scope:{ctx:j}}}),To=new ze({props:{name:"call",anchor:"transformers.TFConvNextForImageClassification.call",parameters:[{name:"pixel_values",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFConvNextForImageClassification.call.pixel_values",description:`<strong>pixel_values</strong> (<code>np.ndarray</code>, <code>tf.Tensor</code>, <code>List[tf.Tensor]</code> \`<code>Dict[str, tf.Tensor]</code> or <code>Dict[str, np.ndarray]</code> and each example must have the shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values. Pixel values can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoImageProcessor">AutoImageProcessor</a>. See
<a href="/docs/transformers/v4.26.0/en/model_doc/poolformer#transformers.PoolFormerFeatureExtractor.__call__">ConvNextImageProcessor.<strong>call</strong>()</a> for details.`,name:"pixel_values"},{anchor:"transformers.TFConvNextForImageClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFConvNextForImageClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFConvNextForImageClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> or <code>np.ndarray</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the image classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/convnext/modeling_tf_convnext.py#L542",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/convnext#transformers.ConvNextConfig"
>ConvNextConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ot=new Bo({props:{$$slots:{default:[Pi]},$$scope:{ctx:j}}}),Lt=new Ts({props:{anchor:"transformers.TFConvNextForImageClassification.call.example",$$slots:{default:[Fi]},$$scope:{ctx:j}}}),{c(){c=s("meta"),w=p(),v=s("h1"),g=s("a"),y=s("span"),x(l.$$.fragment),h=p(),P=s("span"),De=r("ConvNeXT"),we=p(),z=s("h2"),Y=s("a"),ee=s("span"),x(b.$$.fragment),Oe=p(),X=s("span"),Le=r("Overview"),be=p(),L=s("p"),Se=r("The ConvNeXT model was proposed in "),te=s("a"),oe=r("A ConvNet for the 2020s"),Re=r(` by Zhuang Liu, Hanzi Mao, Chao-Yuan Wu, Christoph Feichtenhofer, Trevor Darrell, Saining Xie.
ConvNeXT is a pure convolutional model (ConvNet), inspired by the design of Vision Transformers, that claims to outperform them.`),xe=p(),W=s("p"),We=r("The abstract from the paper is the following:"),Ce=p(),U=s("p"),he=s("em"),Ue=r(`The \u201CRoaring 20s\u201D of visual recognition began with the introduction of Vision Transformers (ViTs), which quickly superseded ConvNets as the state-of-the-art image classification model.
A vanilla ViT, on the other hand, faces difficulties when applied to general computer vision tasks such as object detection and semantic segmentation. It is the hierarchical Transformers
(e.g., Swin Transformers) that reintroduced several ConvNet priors, making Transformers practically viable as a generic vision backbone and demonstrating remarkable performance on a wide
variety of vision tasks. However, the effectiveness of such hybrid approaches is still largely credited to the intrinsic superiority of Transformers, rather than the inherent inductive
biases of convolutions. In this work, we reexamine the design spaces and test the limits of what a pure ConvNet can achieve. We gradually \u201Cmodernize\u201D a standard ResNet toward the design
of a vision Transformer, and discover several key components that contribute to the performance difference along the way. The outcome of this exploration is a family of pure ConvNet models
dubbed ConvNeXt. Constructed entirely from standard ConvNet modules, ConvNeXts compete favorably with Transformers in terms of accuracy and scalability, achieving 87.8% ImageNet top-1 accuracy
and outperforming Swin Transformers on COCO detection and ADE20K segmentation, while maintaining the simplicity and efficiency of standard ConvNets.`),pe=p(),F=s("p"),D=r("Tips:"),$e=p(),H=s("ul"),ue=s("li"),He=r("See the code examples below each model regarding usage."),J=p(),Z=s("img"),q=p(),Q=s("small"),se=r("ConvNeXT architecture. Taken from the "),me=s("a"),Xe=r("original paper"),ne=r("."),Te=p(),A=s("p"),K=r("This model was contributed by "),ae=s("a"),re=r("nielsr"),Ke=r(". TensorFlow version of the model was contributed by "),V=s("a"),O=r("ariG23498"),Ve=r(`,
`),M=s("a"),Be=r("gante"),Ge=r(", and "),_=s("a"),I=r("sayakpaul"),nt=r(" (equal contribution). The original code can be found "),B=s("a"),at=r("here"),rt=r("."),k=p(),ie=s("h2"),fe=s("a"),Ye=s("span"),x(ge.$$.fragment),it=p(),R=s("span"),le=r("Resources"),et=p(),Ne=s("p"),ce=r("A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with ConvNeXT."),tt=p(),x(ve.$$.fragment),Ee=p(),Ie=s("ul"),S=s("li"),ke=s("a"),rn=r("ConvNextForImageClassification"),ln=r(" is supported by this "),Kt=s("a"),cn=r("example script"),dn=r(" and "),Vt=s("a"),pn=r("notebook"),mn=r("."),Is=p(),Po=s("p"),fn=r("If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),ks=p(),lt=s("h2"),bt=s("a"),Go=s("span"),x(Bt.$$.fragment),hn=p(),Yo=s("span"),un=r("ConvNextConfig"),Ps=p(),_e=s("div"),x(Gt.$$.fragment),gn=p(),ct=s("p"),vn=r("This is the configuration class to store the configuration of a "),Fo=s("a"),_n=r("ConvNextModel"),yn=r(`. It is used to instantiate an
ConvNeXT model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the ConvNeXT
`),Yt=s("a"),wn=r("facebook/convnext-tiny-224"),bn=r(" architecture."),xn=p(),dt=s("p"),Cn=r("Configuration objects inherit from "),jo=s("a"),$n=r("PretrainedConfig"),Tn=r(` and can be used to control the model outputs. Read the
documentation from `),Ao=s("a"),Nn=r("PretrainedConfig"),En=r(" for more information."),In=p(),x(xt.$$.fragment),Fs=p(),pt=s("h2"),Ct=s("a"),Jo=s("span"),x(Jt.$$.fragment),kn=p(),Zo=s("span"),Pn=r("ConvNextFeatureExtractor"),js=p(),Zt=s("div"),x(Qt.$$.fragment),As=p(),mt=s("h2"),$t=s("a"),Qo=s("span"),x(eo.$$.fragment),Fn=p(),es=s("span"),jn=r("ConvNextImageProcessor"),Ms=p(),Je=s("div"),x(to.$$.fragment),An=p(),ts=s("p"),Mn=r("Constructs a ConvNeXT image processor."),qn=p(),Tt=s("div"),x(oo.$$.fragment),zn=p(),os=s("p"),Dn=r("Preprocess an image or batch of images."),qs=p(),ft=s("h2"),Nt=s("a"),ss=s("span"),x(so.$$.fragment),On=p(),ns=s("span"),Ln=r("ConvNextModel"),zs=p(),Ze=s("div"),x(no.$$.fragment),Sn=p(),ao=s("p"),Rn=r(`The bare ConvNext model outputting raw features without any specific head on top.
This model is a PyTorch `),ro=s("a"),Wn=r("torch.nn.Module"),Un=r(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Hn=p(),Pe=s("div"),x(io.$$.fragment),Xn=p(),ht=s("p"),Kn=r("The "),Mo=s("a"),Vn=r("ConvNextModel"),Bn=r(" forward method, overrides the "),as=s("code"),Gn=r("__call__"),Yn=r(" special method."),Jn=p(),x(Et.$$.fragment),Zn=p(),x(It.$$.fragment),Ds=p(),ut=s("h2"),kt=s("a"),rs=s("span"),x(lo.$$.fragment),Qn=p(),is=s("span"),ea=r("ConvNextForImageClassification"),Os=p(),ye=s("div"),x(co.$$.fragment),ta=p(),ls=s("p"),oa=r(`ConvNext Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),sa=p(),po=s("p"),na=r("This model is a PyTorch "),mo=s("a"),aa=r("torch.nn.Module"),ra=r(` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),ia=p(),Fe=s("div"),x(fo.$$.fragment),la=p(),gt=s("p"),ca=r("The "),qo=s("a"),da=r("ConvNextForImageClassification"),pa=r(" forward method, overrides the "),cs=s("code"),ma=r("__call__"),fa=r(" special method."),ha=p(),x(Pt.$$.fragment),ua=p(),x(Ft.$$.fragment),Ls=p(),vt=s("h2"),jt=s("a"),ds=s("span"),x(ho.$$.fragment),ga=p(),ps=s("span"),va=r("TFConvNextModel"),Ss=p(),de=s("div"),x(uo.$$.fragment),_a=p(),go=s("p"),ya=r(`The bare ConvNext model outputting raw features without any specific head on top.
This model inherits from `),zo=s("a"),wa=r("TFPreTrainedModel"),ba=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),xa=p(),vo=s("p"),Ca=r("This model is also a "),_o=s("a"),$a=r("tf.keras.Model"),Ta=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Na=p(),x(At.$$.fragment),Ea=p(),je=s("div"),x(yo.$$.fragment),Ia=p(),_t=s("p"),ka=r("The "),Do=s("a"),Pa=r("TFConvNextModel"),Fa=r(" forward method, overrides the "),ms=s("code"),ja=r("__call__"),Aa=r(" special method."),Ma=p(),x(Mt.$$.fragment),qa=p(),x(qt.$$.fragment),Rs=p(),yt=s("h2"),zt=s("a"),fs=s("span"),x(wo.$$.fragment),za=p(),hs=s("span"),Da=r("TFConvNextForImageClassification"),Ws=p(),G=s("div"),x(bo.$$.fragment),Oa=p(),us=s("p"),La=r(`ConvNext Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Sa=p(),xo=s("p"),Ra=r("This model inherits from "),Oo=s("a"),Wa=r("TFPreTrainedModel"),Ua=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ha=p(),Co=s("p"),Xa=r("This model is also a "),$o=s("a"),Ka=r("tf.keras.Model"),Va=r(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Ba=p(),x(Dt.$$.fragment),Ga=p(),Ae=s("div"),x(To.$$.fragment),Ya=p(),wt=s("p"),Ja=r("The "),Lo=s("a"),Za=r("TFConvNextForImageClassification"),Qa=r(" forward method, overrides the "),gs=s("code"),er=r("__call__"),tr=r(" special method."),or=p(),x(Ot.$$.fragment),sr=p(),x(Lt.$$.fragment),this.h()},l(t){const u=vi('[data-svelte="svelte-1phssyn"]',document.head);c=n(u,"META",{name:!0,content:!0}),u.forEach(o),w=m(t),v=n(t,"H1",{class:!0});var No=a(v);g=n(No,"A",{id:!0,class:!0,href:!0});var vs=a(g);y=n(vs,"SPAN",{});var _s=a(y);C(l.$$.fragment,_s),_s.forEach(o),vs.forEach(o),h=m(No),P=n(No,"SPAN",{});var ys=a(P);De=i(ys,"ConvNeXT"),ys.forEach(o),No.forEach(o),we=m(t),z=n(t,"H2",{class:!0});var Eo=a(z);Y=n(Eo,"A",{id:!0,class:!0,href:!0});var ws=a(Y);ee=n(ws,"SPAN",{});var bs=a(ee);C(b.$$.fragment,bs),bs.forEach(o),ws.forEach(o),Oe=m(Eo),X=n(Eo,"SPAN",{});var xs=a(X);Le=i(xs,"Overview"),xs.forEach(o),Eo.forEach(o),be=m(t),L=n(t,"P",{});var Io=a(L);Se=i(Io,"The ConvNeXT model was proposed in "),te=n(Io,"A",{href:!0,rel:!0});var Cs=a(te);oe=i(Cs,"A ConvNet for the 2020s"),Cs.forEach(o),Re=i(Io,` by Zhuang Liu, Hanzi Mao, Chao-Yuan Wu, Christoph Feichtenhofer, Trevor Darrell, Saining Xie.
ConvNeXT is a pure convolutional model (ConvNet), inspired by the design of Vision Transformers, that claims to outperform them.`),Io.forEach(o),xe=m(t),W=n(t,"P",{});var $s=a(W);We=i($s,"The abstract from the paper is the following:"),$s.forEach(o),Ce=m(t),U=n(t,"P",{});var nr=a(U);he=n(nr,"EM",{});var ar=a(he);Ue=i(ar,`The \u201CRoaring 20s\u201D of visual recognition began with the introduction of Vision Transformers (ViTs), which quickly superseded ConvNets as the state-of-the-art image classification model.
A vanilla ViT, on the other hand, faces difficulties when applied to general computer vision tasks such as object detection and semantic segmentation. It is the hierarchical Transformers
(e.g., Swin Transformers) that reintroduced several ConvNet priors, making Transformers practically viable as a generic vision backbone and demonstrating remarkable performance on a wide
variety of vision tasks. However, the effectiveness of such hybrid approaches is still largely credited to the intrinsic superiority of Transformers, rather than the inherent inductive
biases of convolutions. In this work, we reexamine the design spaces and test the limits of what a pure ConvNet can achieve. We gradually \u201Cmodernize\u201D a standard ResNet toward the design
of a vision Transformer, and discover several key components that contribute to the performance difference along the way. The outcome of this exploration is a family of pure ConvNet models
dubbed ConvNeXt. Constructed entirely from standard ConvNet modules, ConvNeXts compete favorably with Transformers in terms of accuracy and scalability, achieving 87.8% ImageNet top-1 accuracy
and outperforming Swin Transformers on COCO detection and ADE20K segmentation, while maintaining the simplicity and efficiency of standard ConvNets.`),ar.forEach(o),nr.forEach(o),pe=m(t),F=n(t,"P",{});var rr=a(F);D=i(rr,"Tips:"),rr.forEach(o),$e=m(t),H=n(t,"UL",{});var ir=a(H);ue=n(ir,"LI",{});var lr=a(ue);He=i(lr,"See the code examples below each model regarding usage."),lr.forEach(o),ir.forEach(o),J=m(t),Z=n(t,"IMG",{src:!0,alt:!0,width:!0}),q=m(t),Q=n(t,"SMALL",{});var Hs=a(Q);se=i(Hs,"ConvNeXT architecture. Taken from the "),me=n(Hs,"A",{href:!0});var cr=a(me);Xe=i(cr,"original paper"),cr.forEach(o),ne=i(Hs,"."),Hs.forEach(o),Te=m(t),A=n(t,"P",{});var Me=a(A);K=i(Me,"This model was contributed by "),ae=n(Me,"A",{href:!0,rel:!0});var dr=a(ae);re=i(dr,"nielsr"),dr.forEach(o),Ke=i(Me,". TensorFlow version of the model was contributed by "),V=n(Me,"A",{href:!0,rel:!0});var pr=a(V);O=i(pr,"ariG23498"),pr.forEach(o),Ve=i(Me,`,
`),M=n(Me,"A",{href:!0,rel:!0});var mr=a(M);Be=i(mr,"gante"),mr.forEach(o),Ge=i(Me,", and "),_=n(Me,"A",{href:!0,rel:!0});var fr=a(_);I=i(fr,"sayakpaul"),fr.forEach(o),nt=i(Me," (equal contribution). The original code can be found "),B=n(Me,"A",{href:!0,rel:!0});var hr=a(B);at=i(hr,"here"),hr.forEach(o),rt=i(Me,"."),Me.forEach(o),k=m(t),ie=n(t,"H2",{class:!0});var Xs=a(ie);fe=n(Xs,"A",{id:!0,class:!0,href:!0});var ur=a(fe);Ye=n(ur,"SPAN",{});var gr=a(Ye);C(ge.$$.fragment,gr),gr.forEach(o),ur.forEach(o),it=m(Xs),R=n(Xs,"SPAN",{});var vr=a(R);le=i(vr,"Resources"),vr.forEach(o),Xs.forEach(o),et=m(t),Ne=n(t,"P",{});var _r=a(Ne);ce=i(_r,"A list of official Hugging Face and community (indicated by \u{1F30E}) resources to help you get started with ConvNeXT."),_r.forEach(o),tt=m(t),C(ve.$$.fragment,t),Ee=m(t),Ie=n(t,"UL",{});var yr=a(Ie);S=n(yr,"LI",{});var ko=a(S);ke=n(ko,"A",{href:!0});var wr=a(ke);rn=i(wr,"ConvNextForImageClassification"),wr.forEach(o),ln=i(ko," is supported by this "),Kt=n(ko,"A",{href:!0,rel:!0});var br=a(Kt);cn=i(br,"example script"),br.forEach(o),dn=i(ko," and "),Vt=n(ko,"A",{href:!0,rel:!0});var xr=a(Vt);pn=i(xr,"notebook"),xr.forEach(o),mn=i(ko,"."),ko.forEach(o),yr.forEach(o),Is=m(t),Po=n(t,"P",{});var Cr=a(Po);fn=i(Cr,"If you\u2019re interested in submitting a resource to be included here, please feel free to open a Pull Request and we\u2019ll review it! The resource should ideally demonstrate something new instead of duplicating an existing resource."),Cr.forEach(o),ks=m(t),lt=n(t,"H2",{class:!0});var Ks=a(lt);bt=n(Ks,"A",{id:!0,class:!0,href:!0});var $r=a(bt);Go=n($r,"SPAN",{});var Tr=a(Go);C(Bt.$$.fragment,Tr),Tr.forEach(o),$r.forEach(o),hn=m(Ks),Yo=n(Ks,"SPAN",{});var Nr=a(Yo);un=i(Nr,"ConvNextConfig"),Nr.forEach(o),Ks.forEach(o),Ps=m(t),_e=n(t,"DIV",{class:!0});var St=a(_e);C(Gt.$$.fragment,St),gn=m(St),ct=n(St,"P",{});var So=a(ct);vn=i(So,"This is the configuration class to store the configuration of a "),Fo=n(So,"A",{href:!0});var Er=a(Fo);_n=i(Er,"ConvNextModel"),Er.forEach(o),yn=i(So,`. It is used to instantiate an
ConvNeXT model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the ConvNeXT
`),Yt=n(So,"A",{href:!0,rel:!0});var Ir=a(Yt);wn=i(Ir,"facebook/convnext-tiny-224"),Ir.forEach(o),bn=i(So," architecture."),So.forEach(o),xn=m(St),dt=n(St,"P",{});var Ro=a(dt);Cn=i(Ro,"Configuration objects inherit from "),jo=n(Ro,"A",{href:!0});var kr=a(jo);$n=i(kr,"PretrainedConfig"),kr.forEach(o),Tn=i(Ro,` and can be used to control the model outputs. Read the
documentation from `),Ao=n(Ro,"A",{href:!0});var Pr=a(Ao);Nn=i(Pr,"PretrainedConfig"),Pr.forEach(o),En=i(Ro," for more information."),Ro.forEach(o),In=m(St),C(xt.$$.fragment,St),St.forEach(o),Fs=m(t),pt=n(t,"H2",{class:!0});var Vs=a(pt);Ct=n(Vs,"A",{id:!0,class:!0,href:!0});var Fr=a(Ct);Jo=n(Fr,"SPAN",{});var jr=a(Jo);C(Jt.$$.fragment,jr),jr.forEach(o),Fr.forEach(o),kn=m(Vs),Zo=n(Vs,"SPAN",{});var Ar=a(Zo);Pn=i(Ar,"ConvNextFeatureExtractor"),Ar.forEach(o),Vs.forEach(o),js=m(t),Zt=n(t,"DIV",{class:!0});var Mr=a(Zt);C(Qt.$$.fragment,Mr),Mr.forEach(o),As=m(t),mt=n(t,"H2",{class:!0});var Bs=a(mt);$t=n(Bs,"A",{id:!0,class:!0,href:!0});var qr=a($t);Qo=n(qr,"SPAN",{});var zr=a(Qo);C(eo.$$.fragment,zr),zr.forEach(o),qr.forEach(o),Fn=m(Bs),es=n(Bs,"SPAN",{});var Dr=a(es);jn=i(Dr,"ConvNextImageProcessor"),Dr.forEach(o),Bs.forEach(o),Ms=m(t),Je=n(t,"DIV",{class:!0});var Wo=a(Je);C(to.$$.fragment,Wo),An=m(Wo),ts=n(Wo,"P",{});var Or=a(ts);Mn=i(Or,"Constructs a ConvNeXT image processor."),Or.forEach(o),qn=m(Wo),Tt=n(Wo,"DIV",{class:!0});var Gs=a(Tt);C(oo.$$.fragment,Gs),zn=m(Gs),os=n(Gs,"P",{});var Lr=a(os);Dn=i(Lr,"Preprocess an image or batch of images."),Lr.forEach(o),Gs.forEach(o),Wo.forEach(o),qs=m(t),ft=n(t,"H2",{class:!0});var Ys=a(ft);Nt=n(Ys,"A",{id:!0,class:!0,href:!0});var Sr=a(Nt);ss=n(Sr,"SPAN",{});var Rr=a(ss);C(so.$$.fragment,Rr),Rr.forEach(o),Sr.forEach(o),On=m(Ys),ns=n(Ys,"SPAN",{});var Wr=a(ns);Ln=i(Wr,"ConvNextModel"),Wr.forEach(o),Ys.forEach(o),zs=m(t),Ze=n(t,"DIV",{class:!0});var Uo=a(Ze);C(no.$$.fragment,Uo),Sn=m(Uo),ao=n(Uo,"P",{});var Js=a(ao);Rn=i(Js,`The bare ConvNext model outputting raw features without any specific head on top.
This model is a PyTorch `),ro=n(Js,"A",{href:!0,rel:!0});var Ur=a(ro);Wn=i(Ur,"torch.nn.Module"),Ur.forEach(o),Un=i(Js,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Js.forEach(o),Hn=m(Uo),Pe=n(Uo,"DIV",{class:!0});var Rt=a(Pe);C(io.$$.fragment,Rt),Xn=m(Rt),ht=n(Rt,"P",{});var Ho=a(ht);Kn=i(Ho,"The "),Mo=n(Ho,"A",{href:!0});var Hr=a(Mo);Vn=i(Hr,"ConvNextModel"),Hr.forEach(o),Bn=i(Ho," forward method, overrides the "),as=n(Ho,"CODE",{});var Xr=a(as);Gn=i(Xr,"__call__"),Xr.forEach(o),Yn=i(Ho," special method."),Ho.forEach(o),Jn=m(Rt),C(Et.$$.fragment,Rt),Zn=m(Rt),C(It.$$.fragment,Rt),Rt.forEach(o),Uo.forEach(o),Ds=m(t),ut=n(t,"H2",{class:!0});var Zs=a(ut);kt=n(Zs,"A",{id:!0,class:!0,href:!0});var Kr=a(kt);rs=n(Kr,"SPAN",{});var Vr=a(rs);C(lo.$$.fragment,Vr),Vr.forEach(o),Kr.forEach(o),Qn=m(Zs),is=n(Zs,"SPAN",{});var Br=a(is);ea=i(Br,"ConvNextForImageClassification"),Br.forEach(o),Zs.forEach(o),Os=m(t),ye=n(t,"DIV",{class:!0});var Wt=a(ye);C(co.$$.fragment,Wt),ta=m(Wt),ls=n(Wt,"P",{});var Gr=a(ls);oa=i(Gr,`ConvNext Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),Gr.forEach(o),sa=m(Wt),po=n(Wt,"P",{});var Qs=a(po);na=i(Qs,"This model is a PyTorch "),mo=n(Qs,"A",{href:!0,rel:!0});var Yr=a(mo);aa=i(Yr,"torch.nn.Module"),Yr.forEach(o),ra=i(Qs,` subclass. Use it
as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and
behavior.`),Qs.forEach(o),ia=m(Wt),Fe=n(Wt,"DIV",{class:!0});var Ut=a(Fe);C(fo.$$.fragment,Ut),la=m(Ut),gt=n(Ut,"P",{});var Xo=a(gt);ca=i(Xo,"The "),qo=n(Xo,"A",{href:!0});var Jr=a(qo);da=i(Jr,"ConvNextForImageClassification"),Jr.forEach(o),pa=i(Xo," forward method, overrides the "),cs=n(Xo,"CODE",{});var Zr=a(cs);ma=i(Zr,"__call__"),Zr.forEach(o),fa=i(Xo," special method."),Xo.forEach(o),ha=m(Ut),C(Pt.$$.fragment,Ut),ua=m(Ut),C(Ft.$$.fragment,Ut),Ut.forEach(o),Wt.forEach(o),Ls=m(t),vt=n(t,"H2",{class:!0});var en=a(vt);jt=n(en,"A",{id:!0,class:!0,href:!0});var Qr=a(jt);ds=n(Qr,"SPAN",{});var ei=a(ds);C(ho.$$.fragment,ei),ei.forEach(o),Qr.forEach(o),ga=m(en),ps=n(en,"SPAN",{});var ti=a(ps);va=i(ti,"TFConvNextModel"),ti.forEach(o),en.forEach(o),Ss=m(t),de=n(t,"DIV",{class:!0});var ot=a(de);C(uo.$$.fragment,ot),_a=m(ot),go=n(ot,"P",{});var tn=a(go);ya=i(tn,`The bare ConvNext model outputting raw features without any specific head on top.
This model inherits from `),zo=n(tn,"A",{href:!0});var oi=a(zo);wa=i(oi,"TFPreTrainedModel"),oi.forEach(o),ba=i(tn,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),tn.forEach(o),xa=m(ot),vo=n(ot,"P",{});var on=a(vo);Ca=i(on,"This model is also a "),_o=n(on,"A",{href:!0,rel:!0});var si=a(_o);$a=i(si,"tf.keras.Model"),si.forEach(o),Ta=i(on,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),on.forEach(o),Na=m(ot),C(At.$$.fragment,ot),Ea=m(ot),je=n(ot,"DIV",{class:!0});var Ht=a(je);C(yo.$$.fragment,Ht),Ia=m(Ht),_t=n(Ht,"P",{});var Ko=a(_t);ka=i(Ko,"The "),Do=n(Ko,"A",{href:!0});var ni=a(Do);Pa=i(ni,"TFConvNextModel"),ni.forEach(o),Fa=i(Ko," forward method, overrides the "),ms=n(Ko,"CODE",{});var ai=a(ms);ja=i(ai,"__call__"),ai.forEach(o),Aa=i(Ko," special method."),Ko.forEach(o),Ma=m(Ht),C(Mt.$$.fragment,Ht),qa=m(Ht),C(qt.$$.fragment,Ht),Ht.forEach(o),ot.forEach(o),Rs=m(t),yt=n(t,"H2",{class:!0});var sn=a(yt);zt=n(sn,"A",{id:!0,class:!0,href:!0});var ri=a(zt);fs=n(ri,"SPAN",{});var ii=a(fs);C(wo.$$.fragment,ii),ii.forEach(o),ri.forEach(o),za=m(sn),hs=n(sn,"SPAN",{});var li=a(hs);Da=i(li,"TFConvNextForImageClassification"),li.forEach(o),sn.forEach(o),Ws=m(t),G=n(t,"DIV",{class:!0});var qe=a(G);C(bo.$$.fragment,qe),Oa=m(qe),us=n(qe,"P",{});var ci=a(us);La=i(ci,`ConvNext Model with an image classification head on top (a linear layer on top of the pooled features), e.g. for
ImageNet.`),ci.forEach(o),Sa=m(qe),xo=n(qe,"P",{});var nn=a(xo);Ra=i(nn,"This model inherits from "),Oo=n(nn,"A",{href:!0});var di=a(Oo);Wa=i(di,"TFPreTrainedModel"),di.forEach(o),Ua=i(nn,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),nn.forEach(o),Ha=m(qe),Co=n(qe,"P",{});var an=a(Co);Xa=i(an,"This model is also a "),$o=n(an,"A",{href:!0,rel:!0});var pi=a($o);Ka=i(pi,"tf.keras.Model"),pi.forEach(o),Va=i(an,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),an.forEach(o),Ba=m(qe),C(Dt.$$.fragment,qe),Ga=m(qe),Ae=n(qe,"DIV",{class:!0});var Xt=a(Ae);C(To.$$.fragment,Xt),Ya=m(Xt),wt=n(Xt,"P",{});var Vo=a(wt);Ja=i(Vo,"The "),Lo=n(Vo,"A",{href:!0});var mi=a(Lo);Za=i(mi,"TFConvNextForImageClassification"),mi.forEach(o),Qa=i(Vo," forward method, overrides the "),gs=n(Vo,"CODE",{});var fi=a(gs);er=i(fi,"__call__"),fi.forEach(o),tr=i(Vo," special method."),Vo.forEach(o),or=m(Xt),C(Ot.$$.fragment,Xt),sr=m(Xt),C(Lt.$$.fragment,Xt),Xt.forEach(o),qe.forEach(o),this.h()},h(){d(c,"name","hf:doc:metadata"),d(c,"content",JSON.stringify(Ai)),d(g,"id","convnext"),d(g,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(g,"href","#convnext"),d(v,"class","relative group"),d(Y,"id","overview"),d(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Y,"href","#overview"),d(z,"class","relative group"),d(te,"href","https://arxiv.org/abs/2201.03545"),d(te,"rel","nofollow"),_i(Z.src,Qe="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/convnext_architecture.jpg")||d(Z,"src",Qe),d(Z,"alt","drawing"),d(Z,"width","600"),d(me,"href","https://arxiv.org/abs/2201.03545"),d(ae,"href","https://huggingface.co/nielsr"),d(ae,"rel","nofollow"),d(V,"href","https://github.com/ariG23498"),d(V,"rel","nofollow"),d(M,"href","https://github.com/gante"),d(M,"rel","nofollow"),d(_,"href","https://github.com/sayakpaul"),d(_,"rel","nofollow"),d(B,"href","https://github.com/facebookresearch/ConvNeXt"),d(B,"rel","nofollow"),d(fe,"id","resources"),d(fe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(fe,"href","#resources"),d(ie,"class","relative group"),d(ke,"href","/docs/transformers/v4.26.0/en/model_doc/convnext#transformers.ConvNextForImageClassification"),d(Kt,"href","https://github.com/huggingface/transformers/tree/main/examples/pytorch/image-classification"),d(Kt,"rel","nofollow"),d(Vt,"href","https://colab.research.google.com/github/huggingface/notebooks/blob/main/examples/image_classification.ipynb"),d(Vt,"rel","nofollow"),d(bt,"id","transformers.ConvNextConfig"),d(bt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(bt,"href","#transformers.ConvNextConfig"),d(lt,"class","relative group"),d(Fo,"href","/docs/transformers/v4.26.0/en/model_doc/convnext#transformers.ConvNextModel"),d(Yt,"href","https://huggingface.co/facebook/convnext-tiny-224"),d(Yt,"rel","nofollow"),d(jo,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),d(Ao,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),d(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ct,"id","transformers.ConvNextFeatureExtractor"),d(Ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Ct,"href","#transformers.ConvNextFeatureExtractor"),d(pt,"class","relative group"),d(Zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d($t,"id","transformers.ConvNextImageProcessor"),d($t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d($t,"href","#transformers.ConvNextImageProcessor"),d(mt,"class","relative group"),d(Tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Nt,"id","transformers.ConvNextModel"),d(Nt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(Nt,"href","#transformers.ConvNextModel"),d(ft,"class","relative group"),d(ro,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(ro,"rel","nofollow"),d(Mo,"href","/docs/transformers/v4.26.0/en/model_doc/convnext#transformers.ConvNextModel"),d(Pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(kt,"id","transformers.ConvNextForImageClassification"),d(kt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(kt,"href","#transformers.ConvNextForImageClassification"),d(ut,"class","relative group"),d(mo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),d(mo,"rel","nofollow"),d(qo,"href","/docs/transformers/v4.26.0/en/model_doc/convnext#transformers.ConvNextForImageClassification"),d(Fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(ye,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(jt,"id","transformers.TFConvNextModel"),d(jt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(jt,"href","#transformers.TFConvNextModel"),d(vt,"class","relative group"),d(zo,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),d(_o,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),d(_o,"rel","nofollow"),d(Do,"href","/docs/transformers/v4.26.0/en/model_doc/convnext#transformers.TFConvNextModel"),d(je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(zt,"id","transformers.TFConvNextForImageClassification"),d(zt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),d(zt,"href","#transformers.TFConvNextForImageClassification"),d(yt,"class","relative group"),d(Oo,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),d($o,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),d($o,"rel","nofollow"),d(Lo,"href","/docs/transformers/v4.26.0/en/model_doc/convnext#transformers.TFConvNextForImageClassification"),d(Ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),d(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,u){e(document.head,c),f(t,w,u),f(t,v,u),e(v,g),e(g,y),$(l,y,null),e(v,h),e(v,P),e(P,De),f(t,we,u),f(t,z,u),e(z,Y),e(Y,ee),$(b,ee,null),e(z,Oe),e(z,X),e(X,Le),f(t,be,u),f(t,L,u),e(L,Se),e(L,te),e(te,oe),e(L,Re),f(t,xe,u),f(t,W,u),e(W,We),f(t,Ce,u),f(t,U,u),e(U,he),e(he,Ue),f(t,pe,u),f(t,F,u),e(F,D),f(t,$e,u),f(t,H,u),e(H,ue),e(ue,He),f(t,J,u),f(t,Z,u),f(t,q,u),f(t,Q,u),e(Q,se),e(Q,me),e(me,Xe),e(Q,ne),f(t,Te,u),f(t,A,u),e(A,K),e(A,ae),e(ae,re),e(A,Ke),e(A,V),e(V,O),e(A,Ve),e(A,M),e(M,Be),e(A,Ge),e(A,_),e(_,I),e(A,nt),e(A,B),e(B,at),e(A,rt),f(t,k,u),f(t,ie,u),e(ie,fe),e(fe,Ye),$(ge,Ye,null),e(ie,it),e(ie,R),e(R,le),f(t,et,u),f(t,Ne,u),e(Ne,ce),f(t,tt,u),$(ve,t,u),f(t,Ee,u),f(t,Ie,u),e(Ie,S),e(S,ke),e(ke,rn),e(S,ln),e(S,Kt),e(Kt,cn),e(S,dn),e(S,Vt),e(Vt,pn),e(S,mn),f(t,Is,u),f(t,Po,u),e(Po,fn),f(t,ks,u),f(t,lt,u),e(lt,bt),e(bt,Go),$(Bt,Go,null),e(lt,hn),e(lt,Yo),e(Yo,un),f(t,Ps,u),f(t,_e,u),$(Gt,_e,null),e(_e,gn),e(_e,ct),e(ct,vn),e(ct,Fo),e(Fo,_n),e(ct,yn),e(ct,Yt),e(Yt,wn),e(ct,bn),e(_e,xn),e(_e,dt),e(dt,Cn),e(dt,jo),e(jo,$n),e(dt,Tn),e(dt,Ao),e(Ao,Nn),e(dt,En),e(_e,In),$(xt,_e,null),f(t,Fs,u),f(t,pt,u),e(pt,Ct),e(Ct,Jo),$(Jt,Jo,null),e(pt,kn),e(pt,Zo),e(Zo,Pn),f(t,js,u),f(t,Zt,u),$(Qt,Zt,null),f(t,As,u),f(t,mt,u),e(mt,$t),e($t,Qo),$(eo,Qo,null),e(mt,Fn),e(mt,es),e(es,jn),f(t,Ms,u),f(t,Je,u),$(to,Je,null),e(Je,An),e(Je,ts),e(ts,Mn),e(Je,qn),e(Je,Tt),$(oo,Tt,null),e(Tt,zn),e(Tt,os),e(os,Dn),f(t,qs,u),f(t,ft,u),e(ft,Nt),e(Nt,ss),$(so,ss,null),e(ft,On),e(ft,ns),e(ns,Ln),f(t,zs,u),f(t,Ze,u),$(no,Ze,null),e(Ze,Sn),e(Ze,ao),e(ao,Rn),e(ao,ro),e(ro,Wn),e(ao,Un),e(Ze,Hn),e(Ze,Pe),$(io,Pe,null),e(Pe,Xn),e(Pe,ht),e(ht,Kn),e(ht,Mo),e(Mo,Vn),e(ht,Bn),e(ht,as),e(as,Gn),e(ht,Yn),e(Pe,Jn),$(Et,Pe,null),e(Pe,Zn),$(It,Pe,null),f(t,Ds,u),f(t,ut,u),e(ut,kt),e(kt,rs),$(lo,rs,null),e(ut,Qn),e(ut,is),e(is,ea),f(t,Os,u),f(t,ye,u),$(co,ye,null),e(ye,ta),e(ye,ls),e(ls,oa),e(ye,sa),e(ye,po),e(po,na),e(po,mo),e(mo,aa),e(po,ra),e(ye,ia),e(ye,Fe),$(fo,Fe,null),e(Fe,la),e(Fe,gt),e(gt,ca),e(gt,qo),e(qo,da),e(gt,pa),e(gt,cs),e(cs,ma),e(gt,fa),e(Fe,ha),$(Pt,Fe,null),e(Fe,ua),$(Ft,Fe,null),f(t,Ls,u),f(t,vt,u),e(vt,jt),e(jt,ds),$(ho,ds,null),e(vt,ga),e(vt,ps),e(ps,va),f(t,Ss,u),f(t,de,u),$(uo,de,null),e(de,_a),e(de,go),e(go,ya),e(go,zo),e(zo,wa),e(go,ba),e(de,xa),e(de,vo),e(vo,Ca),e(vo,_o),e(_o,$a),e(vo,Ta),e(de,Na),$(At,de,null),e(de,Ea),e(de,je),$(yo,je,null),e(je,Ia),e(je,_t),e(_t,ka),e(_t,Do),e(Do,Pa),e(_t,Fa),e(_t,ms),e(ms,ja),e(_t,Aa),e(je,Ma),$(Mt,je,null),e(je,qa),$(qt,je,null),f(t,Rs,u),f(t,yt,u),e(yt,zt),e(zt,fs),$(wo,fs,null),e(yt,za),e(yt,hs),e(hs,Da),f(t,Ws,u),f(t,G,u),$(bo,G,null),e(G,Oa),e(G,us),e(us,La),e(G,Sa),e(G,xo),e(xo,Ra),e(xo,Oo),e(Oo,Wa),e(xo,Ua),e(G,Ha),e(G,Co),e(Co,Xa),e(Co,$o),e($o,Ka),e(Co,Va),e(G,Ba),$(Dt,G,null),e(G,Ga),e(G,Ae),$(To,Ae,null),e(Ae,Ya),e(Ae,wt),e(wt,Ja),e(wt,Lo),e(Lo,Za),e(wt,Qa),e(wt,gs),e(gs,er),e(wt,tr),e(Ae,or),$(Ot,Ae,null),e(Ae,sr),$(Lt,Ae,null),Us=!0},p(t,[u]){const No={};u&2&&(No.$$scope={dirty:u,ctx:t}),xt.$set(No);const vs={};u&2&&(vs.$$scope={dirty:u,ctx:t}),Et.$set(vs);const _s={};u&2&&(_s.$$scope={dirty:u,ctx:t}),It.$set(_s);const ys={};u&2&&(ys.$$scope={dirty:u,ctx:t}),Pt.$set(ys);const Eo={};u&2&&(Eo.$$scope={dirty:u,ctx:t}),Ft.$set(Eo);const ws={};u&2&&(ws.$$scope={dirty:u,ctx:t}),At.$set(ws);const bs={};u&2&&(bs.$$scope={dirty:u,ctx:t}),Mt.$set(bs);const xs={};u&2&&(xs.$$scope={dirty:u,ctx:t}),qt.$set(xs);const Io={};u&2&&(Io.$$scope={dirty:u,ctx:t}),Dt.$set(Io);const Cs={};u&2&&(Cs.$$scope={dirty:u,ctx:t}),Ot.$set(Cs);const $s={};u&2&&($s.$$scope={dirty:u,ctx:t}),Lt.$set($s)},i(t){Us||(T(l.$$.fragment,t),T(b.$$.fragment,t),T(ge.$$.fragment,t),T(ve.$$.fragment,t),T(Bt.$$.fragment,t),T(Gt.$$.fragment,t),T(xt.$$.fragment,t),T(Jt.$$.fragment,t),T(Qt.$$.fragment,t),T(eo.$$.fragment,t),T(to.$$.fragment,t),T(oo.$$.fragment,t),T(so.$$.fragment,t),T(no.$$.fragment,t),T(io.$$.fragment,t),T(Et.$$.fragment,t),T(It.$$.fragment,t),T(lo.$$.fragment,t),T(co.$$.fragment,t),T(fo.$$.fragment,t),T(Pt.$$.fragment,t),T(Ft.$$.fragment,t),T(ho.$$.fragment,t),T(uo.$$.fragment,t),T(At.$$.fragment,t),T(yo.$$.fragment,t),T(Mt.$$.fragment,t),T(qt.$$.fragment,t),T(wo.$$.fragment,t),T(bo.$$.fragment,t),T(Dt.$$.fragment,t),T(To.$$.fragment,t),T(Ot.$$.fragment,t),T(Lt.$$.fragment,t),Us=!0)},o(t){N(l.$$.fragment,t),N(b.$$.fragment,t),N(ge.$$.fragment,t),N(ve.$$.fragment,t),N(Bt.$$.fragment,t),N(Gt.$$.fragment,t),N(xt.$$.fragment,t),N(Jt.$$.fragment,t),N(Qt.$$.fragment,t),N(eo.$$.fragment,t),N(to.$$.fragment,t),N(oo.$$.fragment,t),N(so.$$.fragment,t),N(no.$$.fragment,t),N(io.$$.fragment,t),N(Et.$$.fragment,t),N(It.$$.fragment,t),N(lo.$$.fragment,t),N(co.$$.fragment,t),N(fo.$$.fragment,t),N(Pt.$$.fragment,t),N(Ft.$$.fragment,t),N(ho.$$.fragment,t),N(uo.$$.fragment,t),N(At.$$.fragment,t),N(yo.$$.fragment,t),N(Mt.$$.fragment,t),N(qt.$$.fragment,t),N(wo.$$.fragment,t),N(bo.$$.fragment,t),N(Dt.$$.fragment,t),N(To.$$.fragment,t),N(Ot.$$.fragment,t),N(Lt.$$.fragment,t),Us=!1},d(t){o(c),t&&o(w),t&&o(v),E(l),t&&o(we),t&&o(z),E(b),t&&o(be),t&&o(L),t&&o(xe),t&&o(W),t&&o(Ce),t&&o(U),t&&o(pe),t&&o(F),t&&o($e),t&&o(H),t&&o(J),t&&o(Z),t&&o(q),t&&o(Q),t&&o(Te),t&&o(A),t&&o(k),t&&o(ie),E(ge),t&&o(et),t&&o(Ne),t&&o(tt),E(ve,t),t&&o(Ee),t&&o(Ie),t&&o(Is),t&&o(Po),t&&o(ks),t&&o(lt),E(Bt),t&&o(Ps),t&&o(_e),E(Gt),E(xt),t&&o(Fs),t&&o(pt),E(Jt),t&&o(js),t&&o(Zt),E(Qt),t&&o(As),t&&o(mt),E(eo),t&&o(Ms),t&&o(Je),E(to),E(oo),t&&o(qs),t&&o(ft),E(so),t&&o(zs),t&&o(Ze),E(no),E(io),E(Et),E(It),t&&o(Ds),t&&o(ut),E(lo),t&&o(Os),t&&o(ye),E(co),E(fo),E(Pt),E(Ft),t&&o(Ls),t&&o(vt),E(ho),t&&o(Ss),t&&o(de),E(uo),E(At),E(yo),E(Mt),E(qt),t&&o(Rs),t&&o(yt),E(wo),t&&o(Ws),t&&o(G),E(bo),E(Dt),E(To),E(Ot),E(Lt)}}}const Ai={local:"convnext",sections:[{local:"overview",title:"Overview"},{local:"resources",title:"Resources"},{local:"transformers.ConvNextConfig",title:"ConvNextConfig"},{local:"transformers.ConvNextFeatureExtractor",title:"ConvNextFeatureExtractor"},{local:"transformers.ConvNextImageProcessor",title:"ConvNextImageProcessor"},{local:"transformers.ConvNextModel",title:"ConvNextModel"},{local:"transformers.ConvNextForImageClassification",title:"ConvNextForImageClassification"},{local:"transformers.TFConvNextModel",title:"TFConvNextModel"},{local:"transformers.TFConvNextForImageClassification",title:"TFConvNextForImageClassification"}],title:"ConvNeXT"};function Mi(j){return yi(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Wi extends hi{constructor(c){super();ui(this,c,Mi,ji,gi,{})}}export{Wi as default,Ai as metadata};
